aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBoris Kolpackov <boris@codesynthesis.com>2017-05-03 15:37:58 (GMT)
committerBoris Kolpackov <boris@codesynthesis.com>2017-05-03 15:37:58 (GMT)
commit3e338666854a050825ec77a81b9efcc30b5e5e52 (patch)
tree83f433a05906c7cf0b18ca34bae08433da0875ac
parent41bf01698089d89757abea880b501776aa9266eb (diff)
Bump version to 0.5.00.5.0
-rwxr-xr-xdoc/cli.sh4
-rw-r--r--manifest10
2 files changed, 7 insertions, 7 deletions
diff --git a/doc/cli.sh b/doc/cli.sh
index c705f7b..0dfe756 100755
--- a/doc/cli.sh
+++ b/doc/cli.sh
@@ -1,7 +1,7 @@
#! /usr/bin/env bash
-version="0.5.0"
-date="January 2017"
+version=0.5.0
+date="$(date +"%B %Y")"
trap 'exit 1' ERR
set -o errtrace # Trap in functions.
diff --git a/manifest b/manifest
index d1ea430..f24aa3e 100644
--- a/manifest
+++ b/manifest
@@ -1,6 +1,6 @@
: 1
name: bpkg
-version: 0.5.0-b.0.z
+version: 0.5.0
summary: build2 package manager
license: MIT
tags: build2, c++, package, manager
@@ -14,7 +14,7 @@ depends: * build2 >= 0.5.0-
depends: * bpkg >= 0.5.0-
# @@ Should probably become conditional dependency.
requires: ? cli ; Only required if changing .cli files.
-depends: libodb [2.5.0-b.1.1 2.5.0-b.2)
-depends: libodb-sqlite [2.5.0-b.1.1 2.5.0-b.2)
-depends: libbutl [0.5.0-b.0.1 0.5.0-b.1)
-depends: libbpkg [0.5.0-b.0.1 0.5.0-b.1)
+depends: libodb == 2.5.0-b.1
+depends: libodb-sqlite == 2.5.0-b.1
+depends: libbutl [0.5.0 0.6.0-); 0.5.X
+depends: libbpkg [0.5.0 0.6.0-); 0.5.X